package org.springblade.command.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.command.pojo.entity.FzyjEntity;
import org.springblade.command.pojo.vo.FzyjVO;
import org.springblade.command.pojo.vo.GsdwVO;

import java.util.List;
import java.util.Map;

/**
 * Mapper 接口
 *
 * @author Chill
 */
public interface FzyjMapper extends BaseMapper<FzyjEntity> {

	List<FzyjVO> pageByDept(IPage<FzyjVO> page, @Param("params") Map<String, Object> params);

    int countByUserId(Long userId);

	int countByDept(Long id);

	int countYqsByUserId(Long userId);

	int countYqsByDept(Long id);

	int countYfkByUserId(Long userId);

	int countYfkByDept(Long id);

    FzyjVO detail(Long syncId);

	List<GsdwVO> getGsdwBySyncId(Long syncId);

    List<FzyjVO> getUnpushedFzyj();

    int updatePushStatus(Long syncId);

	List<FzyjVO> getUnpushedZp();
}
